/*
    Парус 8 - Панели мониторинга - РО - Редактор настройки регламентированного отчёта
    Панель мониторинга: Компонент вкладки раздела 
*/

//---------------------
//Подключение библиотек
//---------------------

import React from "react"; //Классы React
import PropTypes from "prop-types"; //Контроль свойств компонента
import { Box } from "@mui/material"; //Интерфейсные компоненты

//---------
//Константы
//---------

const STYLES = {
    SECTION_INFO: {
        padding: "24px 5px 0px 5px"
    }
};

//---------------
//Тело компонента
//---------------

const SectionTabPanel = props => {
    const { children, value, index, ...other } = props;

    //Генерация содержимого
    return (
        <div role="tabpanel" hidden={value !== index} id={`tabpanel-${index}`} aria-labelledby={`tab-${index}`} {...other}>
            {value === index && <Box sx={STYLES.SECTION_INFO}>{children}</Box>}
        </div>
    );
};

//Контроль свойств - Вкладка раздела
SectionTabPanel.propTypes = {
    children: PropTypes.node,
    index: PropTypes.number.isRequired,
    value: PropTypes.number.isRequired
};

//--------------------
//Интерфейс компонента
//--------------------

export { SectionTabPanel };
